#include<iostream>
using namespace std;
int main(){
    long long n,m,i,j;
    char a;
    cin>>n>>m;
    for(i=1;i<=n;i++){
        for(j=1;j<=m;j++){
            cin>>a;
        }
    }
    cout<<"-1";
    return 0;
}